FROM 47.103.57.78:30002/eazytec/openjdk8-fonts:latest

LABEL maintainer="sunf sunf@eazytec.com"

ENV JAR "ruoyi-admin.jar"
ENV TZ "Asia/Shanghai"
ADD ./ruoyi-admin/target/${JAR} .

ADD arthas-bin/ /home/arthas-bin/
USER root
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone  && mkdir -p /logs && chmod -R 777 /logs && \
chmod u+s /bin/ping
ENV LANG en_US.UTF-8
USER eazytec
EXPOSE 8080

ENV JVM_ARGS "-Duser.home=$HOME -Xms1024m -Xmx2048m"
